# Spotifyd docker 

[Repo](https://git.kapelle.org/niklas/spotifyd-docker)

[Docker Hub](https://hub.docker.com/r/djeeberjr/spotifyd)

Run [spotifyd](https://github.com/Spotifyd/spotifyd) inside docker. Inspired by [GnaphronG/docker-spotifyd](https://github.com/GnaphronG/docker-spotifyd).

# Setup

You need to add the `/dev/snd` to the container. 

If the container starts successfully and you still hear no audio then the audio output may be disabled in alsa. In that case you can open bash inside your container and run `alsamixer`. There you can unmute the master. When it comes to alsa i recommend reading the [ArchWiki](https://wiki.archlinux.org/title/Advanced_Linux_Sound_Architecture) on this topic.

Check out the `docker-compose.yml` for an example.

# Configuration 

Following variables are available. See the [spotifyd doc](https://spotifyd.github.io/spotifyd/config/File.html) for more information.

`USERNAME` Required. Spotify username.

`PASSWORD` Required. Spotify password.

`DEVICE` Name of the device. Default: "Spotifyd"

`VOLUME_NORMALISATION` If set to true, enables volume normalisation between songs.

`NORMALISATION_PREGAIN` The normalisation pregain that is applied for each song.

`BITRATE` The audio bitrate. 96, 160 or 320 kbit/s.

`DEVICE_TYPE`# The displayed device type in Spotify clients. Can be `computer`, `tablet`, `smartphone`, `speaker`, `tv`, `avr`, `stb`, `audiodongle`.

`INITIAL_VOLUME` Volume on startup between 0 and 100.